Summary: A library of encription functions.
Name: libmcrypt
Version: 2.5.7
Release: 1m
License: LGPL
Group: System Environment/Libraries
Source0: http://dl.sourceforge.net/sourceforge/mcrypt/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://mcrypt.sourceforge.net/
NoSource: 0

%description 
The libmcrypt package contains a library of functions of encrption
algorithms.  The library supports the algorithms: BLOWFISH, TWOFISH,
DES, TripleDES, 3-WAY, SAFER-sk64, SAFER-sk128, SAFER+, LOKI97, GOST,
RC2, RC6, MARS, IDEA, RIJNDAEL-128 (AES), RIJNDAEL-192, RIJNDAEL-256,
SERPENT, CAST-128 (known as CAST5), CAST-256, ARCFOUR and WAKE.  Block
algorithms can be used in: CBC, ECB, CFB and OFB (8 bit and n bit,
where n is the size of the algorithm block length).

%package devel
Summary: Development tools for programs needs libmcrypt functions.
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
The libmcrypt-devel package contains the header files and static libraries
necessary for developing programs using the libmcrypt.

%prep
%setup -q

%build
./configure
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
# % doc AUTHORS COPYING ChangeLog KNOWN-BUGS INSTALL NEWS README THANKS TODO
%doc AUTHORS ChangeLog KNOWN-BUGS INSTALL NEWS README THANKS TODO
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/libmcrypt-config
%{_libdir}/*a
%{_libdir}/lib*.so
%{_includedir}/*
%{_datadir}/aclocal/libmcrypt.m4
%{_mandir}/man3/*

%ChangeLog
* Sat Oct 18 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.5.7-1m)
- update to 2.5.7
- moved to sourceforge

* Fri Jan 3 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.5.5-1m)
- update to 2.5.5
- move lib*.so to libmcrypt-devel

* Thu Aug 1 2002 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (2.5.2-1m)
- add libmcrypt


